/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * MainFrame.java
 *
 * Created on 16.09.2009, 20:49:21
 */
package de.jugms.sd.main;



/**
 *
 * @author hansolo
 */
public class NewMainFrame extends javax.swing.JFrame implements java.awt.event.ActionListener, java.awt.event.FocusListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.WindowListener, java.awt.event.KeyListener, javax.swing.event.DocumentListener, de.jugms.sd.components.textfields.ValidationEventListener
{
    /** Creates new form MainFrame */
    public NewMainFrame()
    {        
        initComponents();

        menuBar = new javax.swing.JMenuBar();        
        menuBar.setUI(new de.jugms.sd.ui.SDMenuBarUI());

        menuItemTest = new de.jugms.sd.components.misc.SDMenuItem("Test");
        menuItemExit = new de.jugms.sd.components.misc.SDMenuItem("Exit");

        menuItemAbout = new de.jugms.sd.components.misc.SDMenuItem("Info");

        menuFile = new javax.swing.JMenu("File");
        menuHelp = new javax.swing.JMenu("About");

        menuFile.setUI(new de.jugms.sd.ui.SDMenuUI());
        menuFile.add(menuItemTest);
        menuFile.add(menuItemExit);

        menuHelp.setUI(new de.jugms.sd.ui.SDMenuUI());
        menuHelp.add(menuItemAbout);

        menuBar.add(menuFile);
        menuBar.add(javax.swing.Box.createHorizontalGlue());
        menuBar.add(menuHelp);

        setJMenuBar(menuBar);        

        this.addMouseListener(this);
        this.addMouseMotionListener(this);
        this.addWindowListener(this);

        // Prepare glass pane
        this.setGlassPane(glass);
        glass.setVisible(true);

        // Add action listener
        inputPanel.cancelButton.addActionListener(this);
        inputPanel.submitButton.addActionListener(this);
        menuItemExit.addActionListener(this);

        // Add focus listener
        inputPanel.textPaneComment.addFocusListener(this);
        
        // Add key listener
        inputPanel.textPaneComment.addKeyListener(this);
        de.jugms.sd.components.misc.SDScrollBar bar = new de.jugms.sd.components.misc.SDScrollBar();
        inputPanel.textPaneComment.setVerticalScrollBar(bar);
        
        // Add document listener
        inputPanel.textPaneComment.getTextPane().getDocument().addDocumentListener(this);
        inputPanel.textFieldPhone.getDocument().addDocumentListener(this);

        // Add validation listener
        inputPanel.textFieldFirstName.addValidationEventListener(this);
        inputPanel.textFieldLastName.addValidationEventListener(this);
        inputPanel.textFieldMail.addValidationEventListener(this);        
        inputPanel.textFieldSubject.addValidationEventListener(this);

        // Add marks to components
        glass.addMarker(inputPanel.textFieldFirstName);
        glass.addMarker(inputPanel.textFieldLastName);
        glass.addMarker(inputPanel.textFieldMail);
        glass.addMarker(inputPanel.textFieldSubject);  

        // Add mouse listener
        footer.addMouseListener(this);

        // Add mouse motion listener
        footer.addMouseMotionListener(this);

        // Validate form
        checkForm();

        // Place frame in center of screen
        setLocationRelativeTo(null);        
    }

     @Override
    public void setJMenuBar(javax.swing.JMenuBar menuBar)
    {
        getLayeredPane().add(menuBar);
        menuBar.setSize(getWidth(), 24);
        menuBar.setLocation(0, titleBarPanel.getHeight());
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroupColor = new javax.swing.ButtonGroup();
        footer = new de.jugms.sd.components.panels.SDFooter();
        sDLinearGradientPanel1 = new de.jugms.sd.components.panels.SDLinearGradientPanel();
        inputPanel = new de.jugms.sd.components.panels.SDTestInputPanel();
        titleBarPanel = new de.jugms.sd.components.panels.SDTitleBar();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setMinimumSize(new java.awt.Dimension(354, 464));
        setUndecorated(true);

        footer.setName("footer"); // NOI18N

        javax.swing.GroupLayout footerLayout = new javax.swing.GroupLayout(footer);
        footer.setLayout(footerLayout);
        footerLayout.setHorizontalGroup(
            footerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 385, Short.MAX_VALUE)
        );
        footerLayout.setVerticalGroup(
            footerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 24, Short.MAX_VALUE)
        );

        sDLinearGradientPanel1.setColor2(new java.awt.Color(51, 51, 51));
        sDLinearGradientPanel1.setColor4(new java.awt.Color(51, 51, 51));
        sDLinearGradientPanel1.setName("sDLinearGradientPanel1"); // NOI18N
        sDLinearGradientPanel1.setPositionColor2(0.5F);
        sDLinearGradientPanel1.setPositionColor3(0.6F);

        inputPanel.setName("inputPanel"); // NOI18N

        javax.swing.GroupLayout sDLinearGradientPanel1Layout = new javax.swing.GroupLayout(sDLinearGradientPanel1);
        sDLinearGradientPanel1.setLayout(sDLinearGradientPanel1Layout);
        sDLinearGradientPanel1Layout.setHorizontalGroup(
            sDLinearGradientPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(sDLinearGradientPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(inputPanel, javax.swing.GroupLayout.DEFAULT_SIZE, 373, Short.MAX_VALUE)
                .addContainerGap())
        );
        sDLinearGradientPanel1Layout.setVerticalGroup(
            sDLinearGradientPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(sDLinearGradientPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(inputPanel, javax.swing.GroupLayout.DEFAULT_SIZE, 376, Short.MAX_VALUE)
                .addContainerGap())
        );

        titleBarPanel.setName("titleBarPanel"); // NOI18N

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(footer, javax.swing.GroupLayout.DEFAULT_SIZE, 385, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addGap(0, 0, 0)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(sDLinearGradientPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(titleBarPanel, javax.swing.GroupLayout.DEFAULT_SIZE, 385, Short.MAX_VALUE)))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(titleBarPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(sDLinearGradientPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGap(0, 0, 0)
                .addComponent(footer, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    public void checkForm()
    {
        // Enable radioButtonPhone only if textFieldPhone has valid input
        inputPanel.radioButtonPhone.setEnabled(inputPanel.textFieldPhone.validateData());
        inputPanel.radioButtonMail.setSelected(!inputPanel.radioButtonPhone.isEnabled());

        // TextPane Comment
        if (inputPanel.textPaneComment.getTextPane().getText().isEmpty() || inputPanel.textPaneComment.getTextPane().getText().equals("comment..."))
        {            
            glass.addMarker(inputPanel.textPaneComment);
            inputPanel.textPaneComment.setForeground(INACTIVE_FOREGROUND_COLOR);
        }
        else
        {
            glass.removeMarker(inputPanel.textPaneComment);
            inputPanel.textPaneComment.setForeground(ACTIVE_FOREGROUND_COLOR);
        }

        // If everything is OK enable the Submit Button
        if (glass.isEverythingOK())
        {
            inputPanel.submitButton.setEnabled(true);
            glass.addOkMarker(inputPanel.submitButton);
        }
        else
        {
            inputPanel.submitButton.setEnabled(false);
            glass.removeOkMarker(inputPanel.submitButton);
        }
    }

    public void resetForm()
    {
        javax.swing.SwingUtilities.invokeLater(new java.lang.Runnable()
        {
            @Override
            public void run()
            {
                inputPanel.comboBoxTitle.setSelectedIndex(0);
                inputPanel.comboBoxAge.setSelectedIndex(0);
                inputPanel.textFieldFirstName.reset();
                inputPanel.textFieldLastName.reset();
                inputPanel.textFieldMail.reset();
                inputPanel.textFieldPhone.reset();
                inputPanel.radioButtonMail.setSelected(true);
                inputPanel.textFieldSubject.reset();
                inputPanel.textPaneComment.getTextPane().setText("comment...");
                inputPanel.progressBar.setInfinite(false);
                inputPanel.submitButton.setEnabled(false);                
                glass.resetGlassPane();
                checkForm();
            }
        });
    }

    public void setTranslucent(boolean transparent)
    {
        if (transparent)
        {
            // Try to set frame transparency via reflection
            try
            {
                Class<?> awtUtilitiesClass = Class.forName("com.sun.awt.AWTUtilities");
                java.lang.reflect.Method mSetWindowOpacity = awtUtilitiesClass.getMethod("setWindowOpacity", java.awt.Window.class, float.class);
                mSetWindowOpacity.invoke(null, this, Float.valueOf(0.9f));
            }
            catch (NoSuchMethodException exception)
            {
                exception.printStackTrace();
            }
            catch (SecurityException exception)
            {
                exception.printStackTrace();
            }
            catch (ClassNotFoundException exception)
            {
                exception.printStackTrace();
            }
            catch (IllegalAccessException exception)
            {
                exception.printStackTrace();
            }
            catch (IllegalArgumentException exception)
            {
                exception.printStackTrace();
            }
            catch (java.lang.reflect.InvocationTargetException exception)
            {
                exception.printStackTrace();
            }
        }
        else
        {
            // Try to set frame transparency via reflection
            try
            {
                Class<?> awtUtilitiesClass = Class.forName("com.sun.awt.AWTUtilities");
                java.lang.reflect.Method mSetWindowOpacity = awtUtilitiesClass.getMethod("setWindowOpacity", java.awt.Window.class, float.class);
                mSetWindowOpacity.invoke(null, this, Float.valueOf(1.0f));
            }
            catch (NoSuchMethodException exception)
            {
                exception.printStackTrace();
            }
            catch (SecurityException exception)
            {
                exception.printStackTrace();
            }
            catch (ClassNotFoundException exception)
            {
                exception.printStackTrace();
            }
            catch (IllegalAccessException exception)
            {
                exception.printStackTrace();
            }
            catch (IllegalArgumentException exception)
            {
                exception.printStackTrace();
            }
            catch (java.lang.reflect.InvocationTargetException exception)
            {
                exception.printStackTrace();
            }

        }
    }

    @Override
    public void paint(java.awt.Graphics g)
    {
        super.paint(g);
        if (getRootPane().getJMenuBar() != null)
            getRootPane().getJMenuBar().setLocation(0, titleBarPanel.getY()+titleBarPanel.getHeight());
    }

    // ActionListener methods
    @Override
    public void actionPerformed(java.awt.event.ActionEvent event)
    {
        if (event.getSource().equals(inputPanel.cancelButton))
        {
            exitApplication();
        }

        if (event.getSource().equals(inputPanel.submitButton))
        {
            Thread submission = new Thread(new java.lang.Runnable()
            {
                @Override
                public void run()
                {
                    inputPanel.progressBar.setInfinite(true);
                    try
                    {
                        Thread.sleep(10000);
                    }
                    catch (java.lang.InterruptedException exception)
                    {

                    }
                    javax.swing.SwingUtilities.invokeLater(new java.lang.Runnable()
                    {

                        @Override
                        public void run()
                        {
                            inputPanel.progressBar.setInfinite(false);
                            resetForm();
                        }
                    });
                }
            });
            submission.start();
        }

        if (event.getSource().equals(menuItemExit))
        {
            exitApplication();
        }

    }

    // FocusListener methods
    @Override
    public void focusGained(java.awt.event.FocusEvent event)
    {
        // TextPane Comment
        if (event.getSource() == inputPanel.textPaneComment)
        {
            if (inputPanel.textPaneComment.getTextPane().getText().equals("comment..."))
            {
                javax.swing.SwingUtilities.invokeLater(new java.lang.Runnable()
                {
                    @Override
                    public void run()
                    {
                        // Handler logic
                        inputPanel.textPaneComment.setForeground(ACTIVE_FOREGROUND_COLOR);
                        inputPanel.textPaneComment.getTextPane().setText("");
                    }
                });
            }
            ((de.jugms.sd.components.panels.SDScrollPaneViewport) inputPanel.textPaneComment.getViewport()).setFocused(true);
        }

        checkForm();
    }

    @Override
    public void focusLost(java.awt.event.FocusEvent event)
    {          
        // TextPane Comment
        if (event.getSource() == inputPanel.textPaneComment)
        {
            if (inputPanel.textPaneComment.getTextPane().getText().isEmpty())
            {
                javax.swing.SwingUtilities.invokeLater(new java.lang.Runnable() 
                {
                    @Override
                    public void run()
                    {
                        // Handler logic
                        inputPanel.textPaneComment.setForeground(INACTIVE_FOREGROUND_COLOR);
                        inputPanel.textPaneComment.getTextPane().setText("comment...");
                    }
                });
            }
            ((de.jugms.sd.components.panels.SDScrollPaneViewport) inputPanel.textPaneComment.getViewport()).setFocused(false);
        }        
    }

    // MouseListener methods
    @Override
    public void mouseClicked(java.awt.event.MouseEvent event)
    {
    }

    @Override
    public void mousePressed(java.awt.event.MouseEvent event)
    {
        if(!event.isMetaDown())
        {
            point.x = event.getX();
            point.y = event.getY();            
        }       
    }

    @Override
    public void mouseReleased(java.awt.event.MouseEvent event)
    {
    }

    @Override
    public void mouseEntered(java.awt.event.MouseEvent event)
    {
    }

    @Override
    public void mouseExited(java.awt.event.MouseEvent event)
    {
    }

    // MouseMotionListener methods
    @Override
    public void mouseDragged(java.awt.event.MouseEvent event)
    {
        if(!event.isMetaDown())
        {
            java.awt.Point p = getLocation();

            if (getCursor().getType() != java.awt.Cursor.DEFAULT_CURSOR)
            {           
                setSize(event.getLocationOnScreen().x - p.x, event.getLocationOnScreen().y - p.y);
                menuBar.setSize(getWidth(), menuBar.getSize().height);
                validate();
            }
            else
            {
                setLocation(p.x + event.getX() - point.x,  p.y + event.getY());
            }
        }
    }

    @Override
    public void mouseMoved(java.awt.event.MouseEvent event)
    {
        // Resizer
        if (event.getSource() instanceof de.jugms.sd.components.panels.SDFooter)
        {
            if (footer.getResizerHotSpot().contains(event.getPoint()))
            {
                setCursor(java.awt.Cursor.getPredefinedCursor(java.awt.Cursor.SE_RESIZE_CURSOR));
            }
            else
            {
                setCursor(java.awt.Cursor.getPredefinedCursor(java.awt.Cursor.DEFAULT_CURSOR));
            }
        }
        else
        {
            setCursor(java.awt.Cursor.getPredefinedCursor(java.awt.Cursor.DEFAULT_CURSOR));
        }
    }

    // WindowListener methods
    @Override
    public void windowOpened(java.awt.event.WindowEvent event)
    {
    }

    @Override
    public void windowClosing(java.awt.event.WindowEvent event)
    {
    }

    @Override
    public void windowClosed(java.awt.event.WindowEvent event)
    {
    }

    @Override
    public void windowIconified(java.awt.event.WindowEvent event)
    {
    }

    @Override
    public void windowDeiconified(java.awt.event.WindowEvent event)
    {
    }

    @Override
    public void windowActivated(java.awt.event.WindowEvent event)
    {
        javax.swing.SwingUtilities.invokeLater(new java.lang.Runnable()
        {
            @Override
            public void run()
            {
                // Handler logic
                glass.setDisabled(false);
            }
        });
    }

    @Override
    public void windowDeactivated(java.awt.event.WindowEvent event)
    {
        javax.swing.SwingUtilities.invokeLater(new java.lang.Runnable()
        {
            @Override
            public void run()
            {
                // Handler logic
                glass.setDisabled(true);
            }
        });
    }

    // KeyListener methods
     @Override
    public void keyTyped(java.awt.event.KeyEvent event)
    {

    }

    @Override
    public void keyPressed(java.awt.event.KeyEvent event)
    {
        if (event.getSource().equals(inputPanel.textPaneComment))
        {
            if(event.getKeyCode() == java.awt.event.KeyEvent.VK_TAB)
            {
                if(event.getModifiers() > 0)
                {
                    transferFocusBackward();
                }
                else
                {
                    transferFocus();
                }
                event.consume();
            }
        }
    }

    @Override
    public void keyReleased(java.awt.event.KeyEvent event)
    {

    }

    // DocumentListener methods
    @Override
    public void insertUpdate(javax.swing.event.DocumentEvent event)
    {     
        checkForm();
    }

    @Override
    public void removeUpdate(javax.swing.event.DocumentEvent event)
    {        
        checkForm();
    }

    @Override
    public void changedUpdate(javax.swing.event.DocumentEvent event)
    {     
        checkForm();
    }

    // ValidationEventListener methods
    @Override
    public void validationEventPerformed(de.jugms.sd.components.textfields.ValidationEvent event)
    {        
        if (event.isValid())
        {
            glass.removeMarker((javax.swing.JComponent) event.getSource());
        }
        else
        {
            glass.addMarker((javax.swing.JComponent) event.getSource());
        }

        // If everything is OK enable the Submit Button
        if (glass.isEverythingOK())
        {            
            inputPanel.submitButton.setEnabled(true);
            glass.addOkMarker(inputPanel.submitButton);
        }
        else
        {            
            inputPanel.submitButton.setEnabled(false);
            glass.removeOkMarker(inputPanel.submitButton);
        }
    }

    private void exitApplication()
    {
        javax.swing.PopupFactory.setSharedInstance(new javax.swing.PopupFactory());
        System.exit(0);
    }

    @Override
    public String toString()
    {
        return "MainFrame";
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String args[])
    {
        javax.swing.UIManager.put("PopupMenuUI", "de.jugms.sd.ui.SDPopupMenuUI");
        javax.swing.RepaintManager.setCurrentManager(new de.jugms.sd.ui.SDRepaintManager());
        java.awt.EventQueue.invokeLater(new Runnable()
        {
            @Override
            public void run()
            {
                de.jugms.sd.tools.SDGlobalAnimationTimer.INSTANCE.start();
                de.jugms.sd.tools.SDGlobals.INSTANCE.setActiveGradient(de.jugms.sd.tools.SDTwoColorGradients.BLUE);
                de.jugms.sd.tools.SDGlobals.INSTANCE.setActiveTranspaGradient(de.jugms.sd.tools.SDTwoColorGradients.BLUE_TRANSPA);
                new NewMainFrame().setVisible(true);
            }
        });
    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup buttonGroupColor;
    private de.jugms.sd.components.panels.SDFooter footer;
    private de.jugms.sd.components.panels.SDTestInputPanel inputPanel;
    private de.jugms.sd.components.panels.SDLinearGradientPanel sDLinearGradientPanel1;
    private de.jugms.sd.components.panels.SDTitleBar titleBarPanel;
    // End of variables declaration//GEN-END:variables
    private de.jugms.sd.components.panels.SDGlassPane glass = new de.jugms.sd.components.panels.SDGlassPane(de.jugms.sd.components.panels.SDGlassPane.MARKER_TYPE.RED_TRIANGLE);
    private final java.awt.Color INACTIVE_FOREGROUND_COLOR = new java.awt.Color(1.0f, 1.0f, 1.0f, 0.6f);
    private final java.awt.Color ACTIVE_FOREGROUND_COLOR = new java.awt.Color(1.0f, 1.0f, 1.0f, 0.9f);
    private static java.awt.Point point = new java.awt.Point(0,0);   
    private javax.swing.JMenuBar menuBar;
    private javax.swing.JMenu menuFile;
    private javax.swing.JMenu menuHelp;
    private de.jugms.sd.components.misc.SDMenuItem menuItemTest;
    private de.jugms.sd.components.misc.SDMenuItem menuItemExit;
    private de.jugms.sd.components.misc.SDMenuItem menuItemAbout;
}
